<?PHP
/**
 * Tests for check for Minimaldatensatz conformity.
 *
 * @see http://minimaldatensatz.de
 *
 * @author Joshua Ramon Enslin <joshua@museum-digital.de>
 */
declare(strict_types = 1);

use PHPUnit\Framework\TestCase;
require_once __DIR__ . '/../src/Checks/Minimaldatensatz/MinimaldatensatzCheck.php';
require_once __DIR__ . '/../src/Checks/Minimaldatensatz/MinimaldatensatzCheckIncompletelyImplementedException.php';

/**
 * Tests for check for Minimaldatensatz conformity.
 */
final class MinimaldatensatzCheckTest extends TestCase {
    /**
     * Ensures that a warning is thrown, if a value has not been set.
     *
     * @return void
     */
    public function testImageNotChecked():void {

        $check = new MinimaldatensatzCheck;
        $this->expectException(MinimaldatensatzCheckIncompletelyImplementedException::class);
        $check->evaluate();

    }
}
